Subject: [tsvwg] [Errata Rejected] RFC3168 (4997)

From: RFC Errata System <[email-masked]>
Date: Mon, 20 Apr 2020 08:32:09 -0700 (PDT)

The following errata report has been rejected for RFC3168,
"The Addition of Explicit Congestion Notification (ECN) to IP".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid4997

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: C. M. Heard <[email-masked]>
Date Reported: 2017-04-17
Rejected by: Martin Duke (IESG)

Section: Header

Original Text
-------------
Updates: 2474, 2401, 793

Corrected Text
--------------
Updates: 2474, 2460, 2401, 793

Notes
-----
RFC 3168 updates RFC 2460 but does not indicate this in its header block.

Specifically, Section 5.3 of RFC 3168 requires that the ECN field of a reassembled IPv6 datagram be calculated from the ECN fields of all of the fragments, rather than simply copying it from the initial fragment as specified in RFC 2460.

There are other missing Updates: fields; see e.g. Erratum 2660.
 --VERIFIER NOTES-- 
This is a borderline case, as RFC 2474 already changes the semantics of this field and is correctly listed in the Updates field. Anyway, this would be "Hold for Document Update", but RFC 2460 has already been updated with RFC 8200.

--------------------------------------
RFC3168 (draft-ietf-tsvwg-ecn-04)
--------------------------------------
Title               : The Addition of Explicit Congestion Notification (ECN) to IP
Publication Date    : September 2001
Author(s)           : K. Ramakrishnan, S. Floyd, D. Black
Category            : PROPOSED STANDARD
Source              : Transport Area Working Group
Area                : Transport
Stream              : IETF
Verifying Party     : IESG